<!-- <button (click)="saveToStorage()">saveToStorage</button>
<button (click)="loadFromStorage()">Load from storage</button>
<button (click)="changeOptions()">Update canvas options</button> -->



<!-- <button pButton pRipple type="button" icon="pi pi-save" class="p-button-rounded p-button-success p-button-outlined"   (click)="saveToStorage()"></button>
<button pButton pRipple type="button" icon="pi pi-save" class="p-button-rounded p-button-danger-button-outlined"   (click)="uploadDrawing()"></button>
<input #fileInput type="file" style="display: none" (change)="onFileSelected($event)">
<button (click)="saveCanvas()">Select File</button> -->

<div class="flex flex-column">
    <div class="flex justify-content-end tw-mr-5 tw-cursor-pointer tw-z-40">
        <button pButton pRipple type="button" icon="pi pi-save" class="p-button-rounded tw-bg-slate-100 p-4 tw-cursor-pointer hover:bg-yellow-200 hover:p-6 tw-mt-15"
            (click)="saveImage()" style="color: green">
          
        </button>

           

    </div>

    <div style="border: 0px solid black;height: 300px;width: 100%; background-color: rgb(161, 185, 232);" class="">

        <!-- <img *ngIf="imageurl" [src]="imageurl" alt="Image"> -->


        <canvas-whiteboard width="100%" height="100%" class="bg-rose-100" #canvas [options]="canvasOptions"
            [drawButtonClass]="'drawButtonClass fa fa-pencil'"
            [clearButtonClass]="'clearButtonClass fa fa-circle-xmark'"
            [undoButtonClass]="'undoButtonClass fa-solid fa-rotate-left'" [undoButtonEnabled]="true"
            [redoButtonClass]="'redoButtonClass fa-solid fa-rotate-right'" [redoButtonEnabled]="true"
            [saveDataButtonClass]="'saveDataButtonClass fa-solid fa-floppy-disk'" [strokeColorPickerText]="'สี'"
            [strokeColorPickerEnabled]="true" [lineWidth]="2" [strokeColor]="'rgb(255,0,0)'" (onClear)="onCanvasClear()"
            (onUndo)="onCanvasUndo($event)" (onSave)="handleSave($event)">
        </canvas-whiteboard>

    </div>
    <!-- <img *ngIf="imageUrls" [src]="imageUrls" alt="Fetched Image" /> -->
    <!-- <div *ngIf="imageUrl">
        <img [src]="imageUrl" alt="Minio Image">
      </div>
      <div *ngIf="!imageUrl">
        Loading image...
      </div> -->



</div>



<!-- [saveDataButtonEnabled]="true" -->